# 2024/12/20 日报

### 做了什么

- 程序运行成功，但是访问网页失败

  - 端口占用问题  用netstat -nltp 命令查看端口
  - 防火墙开启
  - 运行 stop.sh关闭程序，运行.com 程序看对应的错误日志

- onvif设备添加不成功

  - 检查onvif的登录账号和密码 大部分都是这种情况

- onvif查看是否支持事件

  - 使用onvif device manager 在左上角登录设备的账号密码

  - 点击查看的设备

  - 打开Events选项查看是否有时间时间触发

  - 如果默认事件列表中没有时间告警相关内容，可以尝试添加过滤器：

    1. 在 Filter expression setting区域：

       - 将 **Expression type** 设置为 `Topic Concrete`。

       - 在

         Expression

         字段中输入以下常见时间事件主题：

         - `tns1:Monitoring/ClockDeviation` （时钟偏差事件）
         - `tns1:Monitoring/TimeSynchronization` （时间同步事件）

       - 点击 **Add filter**，然后点击 **Apply**。

    2. 观察事件列表

       - 如果设备支持这些事件，应该会显示在下方的事件日志中。

- 测试客户的easygds录像丢失原因（**排除法**）(**偶发性的**)
  - 录像文件都存在--**排除无法录像的原因**
  - 使用root权限登录也存在--**排除权限原因**
  - 使用同版本测试没有问题--**排除ubuntu24.02版本的原因**
  - 报错内容为移动文件权限失败，编译文件移动测试样例成功执行--**暂时排除移动文件问题**
  - 磁盘空间大小充足--**排除磁盘空间问题**
  - 使用最新版easygbs3.3.6 同样存在问题--**排除软件版本问题**
  - 使用固态录制视频，同样出现-- **排除磁盘io读写速率问题**
- 目前暂时可能的原因 
  - 可能和某个进程冲突
  - 系统环境出现问题
- 更新客户litegbs的文件
  - 升级版本
  - 激活设备

### 学了什么

- 什么是跨域

  - 当请求`url`的**协议、域名、端口**三者之间**任意一个**与当前页面`url`不同即为跨域

- 什么是跨域问题

  - 跨域问题是指一个页面尝试加载来自跨域（协议、域名、端口）的资源时所遇到的限制和问题。

  - [http](https://so.csdn.net/so/search?q=http&spm=1001.2101.3001.7020)://localhost:8082 向 http://localhost:8088/user/list 发起 AJAX 请求，由于端口不同，产生了跨域问题

  - 什么是同源策略

    - `同源策略`（Same-Origin Policy）是一种Web安全机制，它定义了浏览器在加载网页时如何限制**不同源**之间的交互。

      所谓`同源`（即指在同一个域）就是两个页面具有相同的协议（Protocol），主机（Host）和端口号（Port）
